> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Open Id Connection

> Retrieves a list of all Open ID Connect providers registered to a title.



## OpenAPI

````yaml /services/playfab/api-references/rest/admin/admin.openapi.json post /Admin/ListOpenIdConnection
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Admin API
  description: >-
    APIs for managing title configurations, uploaded Game Server code
    executables, and user data
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Authentication
    description: Authentication APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Custom Server Management
    description: Custom Server Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: ScheduledTask
    description: Task management APIs
  - name: Segments
    description: Segment management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
  - name: Xbox Store
    description: Xbox Store APIs
paths:
  /Admin/ListOpenIdConnection:
    post:
      tags:
        - Authentication
      summary: List Open Id Connection
      description: Retrieves a list of all Open ID Connect providers registered to a title.
      operationId: ListOpenIdConnection
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListOpenIdConnectionRequest'
      responses:
        '200':
          $ref: '#/components/responses/ListOpenIdConnectionResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    ListOpenIdConnectionRequest:
      type: object
      properties: {}
      example: {}
    ListOpenIdConnectionResponse:
      type: object
      properties:
        Connections:
          description: The list of Open ID Connections
          type: array
          items:
            $ref: '#/components/schemas/OpenIdConnection'
          x-isclass: true
      example:
        Connections:
          - ConnectionId: oidconnection1
            ClientId: example_id_1
            ClientSecret: example_secret_1
            IssuerInformation:
              Issuer: https://issuer.example.com/
              AuthorizationUrl: https://issuer.example.com/authorize
              TokenUrl: https://issuer.example.com/oauth2/token
              JsonWebKeySet:
                keys:
                  - ...
          - ConnectionId: oidconnection2
            ClientId: example_id_2
            ClientSecret: example_secret_2
            DiscoverConfiguration: true
            IssuerInformation:
              Issuer: https://other-issuer.example.com
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    OpenIdConnection:
      type: object
      properties:
        ClientId:
          description: The client ID given by the ID provider.
          type: string
        ClientSecret:
          description: The client secret given by the ID provider.
          type: string
        ConnectionId:
          description: A name for the connection to identify it within the title.
          type: string
        DiscoverConfiguration:
          description: >-
            Shows if data about the connection will be loaded from the issuer's
            discovery document
          type: boolean
        IgnoreNonce:
          description: Ignore 'nonce' claim in identity tokens.
          type: boolean
        IssuerInformation:
          allOf:
            - $ref: '#/components/schemas/OpenIdIssuerInformation'
          description: Information for an OpenID Connect provider.
        IssuerOverride:
          description: Override the issuer name for user indexing and lookup.
          type: string
      required:
        - DiscoverConfiguration
    OpenIdIssuerInformation:
      type: object
      properties:
        AuthorizationUrl:
          description: Authorization endpoint URL to direct users to for signin.
          type: string
        Issuer:
          description: >-
            The URL of the issuer of the tokens. This must match the exact URL
            of the issuer field in tokens.
          type: string
        JsonWebKeySet:
          description: JSON Web Key Set for validating the signature of tokens.
          type: object
        TokenUrl:
          description: Token endpoint URL for code verification.
          type: string
      required:
        - Issuer
        - AuthorizationUrl
        - TokenUrl
        - JsonWebKeySet
  responses:
    ListOpenIdConnectionResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/ListOpenIdConnectionResponse'
            example:
              code: 200
              status: OK
              data:
                Connections:
                  - ConnectionId: oidconnection1
                    ClientId: example_id_1
                    ClientSecret: example_secret_1
                    IssuerInformation:
                      Issuer: https://issuer.example.com/
                      AuthorizationUrl: https://issuer.example.com/authorize
                      TokenUrl: https://issuer.example.com/oauth2/token
                      JsonWebKeySet:
                        keys:
                          - ...
                  - ConnectionId: oidconnection2
                    ClientId: example_id_2
                    ClientSecret: example_secret_2
                    DiscoverConfiguration: true
                    IssuerInformation:
                      Issuer: https://other-issuer.example.com
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [List OpenId Connection](/services/playfab/api-references/rest/admin/authentication/list-openid-connection.md)
- [Update Open Id Connection](/api-reference/authentication/update-open-id-connection.md)
- [Delete Open Id Connection](/api-reference/authentication/delete-open-id-connection.md)
- [Create Open Id Connection](/api-reference/authentication/create-open-id-connection.md)
- [Update OpenId Connection](/services/playfab/api-references/rest/admin/authentication/update-openid-connection.md)
